import Vue from 'vue'
import VueRouter from 'vue-router'
import store from '@/store'
import { setTitle } from "@/utils/title"
import { Toast } from 'vant'
import Layout from "@/views/layout/Layout1";
Vue.use(VueRouter)

const routes = [
    {
        path: '/',
        redirect: '/home'
    },
]

const whiteList = [
	'/login', 
	'/register', 
	'/fotgetPassword',
    '/machine/index',
    '/machine'
]

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes: routes
})


router.beforeEach(async (to, from, next) => {
    new Promise((resolve, reject)=>{
        resolve()
    })
    .then(res=>{
        next()
    })
    .catch(err=>{
        console.error(err)
    })
})


const noSetTitleList = []
router.afterEach((to, from) => {
    // 更新页面标题
    console.log(to,from)
    if (to.meta && to.meta.title && noSetTitleList.indexOf(to.path)==-1) {
        setTitle(to.meta.title)
        store.dispatch("SetPageTitle", to.meta.title)
    }
    else if(noSetTitleList.indexOf(to.path)>-1){
      
    }
    window.scrollTo(0, 0);
})


export default router
